Can’t release openconceptlab 2.0.0 module from Bamboo

Continuing discussion from the above post, I cannot release the openconceptlab module because of an incompatibility between java11(probably default for release stage) and one of the plugins the module uses cobertura See reported issue here. Here is the generated failure log, happens locally as well. Could some assist in setting the java environment to 8 for the underlying Open Concept Lab Module bamboo job? Thanks.

cc @dkayiwa, @ibacher, @cintiadr.

I have just added JAVA_HOME=${bamboo.capability.system.jdk.openjdk-8-jdk} to the environment variables of its release prepare perform task. Can you try again?

2 Likes

Thank you @dkayiwa, the release job has been successful.

1 Like